<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <variable
            name="eventsFragment"
            type="app.snappik.insureme.ui.main.EventsFragment" />
        <import type="android.view.View" />
        <import type="app.snappik.insureme.viewmodel.transformations.SettingsTransformationsKt"/>
    </data>

    <androidx.constraintlayout.motion.widget.MotionLayout
        android:id="@+id/events_settings_root"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:animateLayoutChanges="true"
        app:layoutDescription="@xml/events_layout_xml_constraintlayout_scene">

        <TextView
            android:id="@+id/events_settings_layout_title"
            style="@style/SettingsTitle"
            android:layout_marginTop="90dp"
            android:text="@string/events_title"
            android:visibility="invisible"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <app.snappik.insureme.utils.view.MenuItemView
            android:id="@+id/fall_detector"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="64dp"
            android:visibility="invisible"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/events_settings_layout_title"
            app:onClick='@{() -> eventsFragment.onFallDetectorChanged(eventsFragment.settingsViewModel.settings, eventsFragment.friendViewModel.friends)}'
            app:subText='@{SettingsTransformationsKt.isFallDetected(eventsFragment.settingsViewModel.settings) ? @string/general_enabled : @string/general_disabled}'
            app:tipText='@{@string/events_fall_detector_desc}'
            app:titleText='@{@string/events_fall_detector}' />

    </androidx.constraintlayout.motion.widget.MotionLayout>
</layout>